{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">

    <style>
        .navbar {
            background-color: var(--primaryColor) !important;
        }

        .navbar a {
            color: white !important;
        }
    </style>
{% endblock %}

{% block body %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Edit Profil
        {% endblock %}
        {% block menuBar %}
            <a id="btn-save-profile-2" ><i class="mdi mdi-check f14"></i></a>
        {% endblock %}
    {% endembed %}

    <section class="b-primary r-bottom" style="height: 7em">

    </section>

    <div style="margin-top: -3.5em">
        <img src="{{ user.getGeneratedAvatar() != null ? user.getGeneratedAvatar() : asset('images/no-image.png') }}"
             class="image-bunder" style="height: 7em; width: 7em">
    </div>
    <section class="container-fluid mt-5e">


        <p class="font-weight-bold f12 mt-3">Profil</p>
        <form id="form-profile" action="/member/profile/patch" method="post">
            <div class="form-group">
                <label for="nama" class="f08 text-black-50 mt-3 mb-1">Nama (Wajib Di Isi)</label>
                <input type="text" class="form-control" id="nama" aria-describedby="emailHelp" placeholder="Nama"
                       value="{{ user.getFullName() }}" name="name">
                <small id="emailHelp" class="form-text">Contoh: Chelsea Islan.</small>
            </div>
            <div class="form-group">
                <label for="noOrtu" class="f08 text-black-50 mt-3 mb-1">No Telepon (Wajib Di Isi Dengan Kode Negara)</label>
                <input type="text" class="form-control" id="noOrtu" aria-describedby="noOrtuHelp"
                       placeholder="No Telepon Orang Tua " name="phone" value="{{ user.getPhone() }}">
                <small id="noOrtuHelp" class="form-text">Contoh: 628123546879xxx</small>
            </div>
            <p class="f08 text-black-50 mt-3 mb-1">Jenis Kelamin</p>
            <input class="checkbox-jam" type="radio" name="jenkel" id="laki"
                   value="1" {{ user.getGender() != null ? (user.getGender() == true ? 'checked' : '') : '' }} name="gender"/>
            <label class="for-checkbox-tab "
                   for="laki">
                <p class="mb-0 font-weight-bold p-0 ">Laki-laki</p>
            </label>

            <input class="checkbox-jam" type="radio" name="jenkel" id="perempuan"
                   value="0" {{ user.getGender() != null ? (user.getGender() == false ? 'checked' : '') : '' }} name="gender"/>
            <label class="for-checkbox-tab "
                   for="perempuan">
                <p class="mb-0 font-weight-bold p-0 ">Perempuan</p>
            </label>


            <p class="f08 text-black-50 mt-3 mb-1">Tanggal Lahir</p>
            <div class="input-group date d-flex align-items-center datepicker" data-provide="datepicker">
                <input type="text" class="form-control" readonly name="dob" value="{{ user.getDateOfBirth()|date('d/m/Y') }}">
                <div class="input-group-addon">
                    <span><i class="mdi mdi-date-range ml-1 f18"></i></span>
                </div>
            </div>

            <div class="form-group">
                <label for="sekolah" class="f08 text-black-50 mt-3 mb-1">Sekolah</label>
                <input type="text" class="form-control" id="sekolah" aria-describedby="sekolahHelp"
                       placeholder="Sekolah" name="school" value="{{ user.getSchool() }}">
                <small id="sekolahHelp" class="form-text">Contoh: SMA N 5 SKA</small>
            </div>

            <div class="form-group mt-3 ">
                <label for="kelas" class="f08 text-black-50 mt-3 mb-1">Kelas</label>

                <a class="d-block" data-toggle="modal"
                   data-target="#modalPencarianKelas">
                    <div class="d-flex">
                        <input id="class" value="{{ user.getClass() != null ? user.getClass().getId() : '' }}"
                               name="class" type="hidden" required/>
                        <input form="form-profile" class="form-control flex-grow-1" id="classString" name="classString"
                               type="text"
                               value="{{ user.getClass() != null ? user.getClass().getName() : '' }}"

                               readonly
                               placeholder="Kelas"/>


                    </div>
                </a>
                <small id="kelasHelp" class="form-text text-muted">Pilih Salah Satu</small>
            </div>

            <div class="form-group">
                <label for="ortu" class="f08 text-black-50 mt-3 mb-1">Nama Orang Tua</label>
                <input type="text" class="form-control" id="ortu" aria-describedby="ortuHelp"
                       placeholder="Nama Orang Tua " name="parentName" value="{{ user.getParentName() }}" >
                <small id="ortuHelp" class="form-text">Contoh: Joko</small>
            </div>

            <div class="form-group">
                <label for="noOrtu" class="f08 text-black-50 mt-3 mb-1">No Telepon Orang Tua</label>
                <input type="text" class="form-control" id="noOrtu" aria-describedby="noOrtuHelp"
                       placeholder="No Telepon Orang Tua " name="parentPhone" value="{{ user.getParentPhone() }}">
                <small id="noOrtuHelp" class="form-text">Contoh: 08123546879xxx</small>
            </div>

            <p class="font-weight-bold f12 mt-3">Alamat</p>

            <div class="form-group mt-3">
                <label for="kelas">Kecamatan</label>
                <a data-toggle="modal"
                   data-target="#modalPencarianLokasi" class="d-block">
                    <div class="d-flex">
                        {% set district = null %}
                        {% set dId = null %}
                        {% if(user.getDistrict() != null) %}
                            {% set dId = user.getDistrict().getId() %}
                            {% set district = user.getDistrict().getDistrictName() ~ ' (' ~ user.getDistrict().getCity().getCityName() ~ ',' ~ user.getDistrict().getCity().getProvince().getProvinceName() ~')' %}
                        {% endif %}
                        <input form="form-profile" type="hidden" value="{{ dId }}" name="districtId" id="districtId"
                               required>
                        <input class="form-control flex-grow-1" id="district" name="district" type="text" value="{{ district }}"
                               readonly
                               placeholder="Kecamatan" data-district=""/>
                    </div>
                </a>
                <small id="districtHelp" class="form-text text-muted">Pilih Salah Satu</small>
            </div>

            <div class="form-group mt-3">
                <label for="address">Alamat Lengkap</label>
                <textarea form="form-profile" class="form-control" id="address" rows="3" name="address">{{ user.getAddress() }}</textarea>
                <small id="addressHelp" class="form-text text-muted">alamat lengkap.</small>
            </div>

{#            <div class="d-flex">#}
{#                <img src="{{ asset('images/common/lokasi.png') }}"#}
{#                     style="flex: 0 0 6em; border-radius: 50%; height: 6em; width: 6em" class="mr-2">#}
{#                <div class="form-group ">#}
{#                    <div class="d-flex justify-content-between mb-2">#}
{#                        <label for="pilihLokasi">Pilih Lokasi</label>#}
{#                        <a style="border-radius: 5px; border: 1px solid var(--primaryColor); flex: 0 0 4em"#}
{#                           class="ml-2 d-flex justify-content-center align-items-center"><i#}
{#                                    class="fa fa-map-marker"></i></a>#}
{#                    </div>#}
{#                    <input class="form-control" id="pilihLokasi" readonly name="pilihLokasi" type="text"#}
{#                           placeholder="Pilih Lokasi"/>#}
{#                    <small id="namaSekolahHelp" class="form-text text-muted">Pastikan lokasi yang kamu tandai sama#}
{#                        dengan#}
{#                        lokasi alamat diatas</small>#}
{#                </div>#}
{#            </div>#}

            <div class="p-3 fixed-bottom  bg-white">
                <a id="btn-save-profile" class="d-block bt-primary">Simpan</a>
            </div>
        </form>
    </section>


    <div class="modal fade" id="modalPencarianKelas" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body p-3">
                    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10em">
                        <form>
                            {% for cl in kelas %}
                                <p class="f8 font-weight-bold mt-3 mb-1">{{ cl.Name() }}</p>
                                <div class="d-flex flex-wrap pt-3 justify-content-center">
                                    {% for cm in cl.memberClass() %}
                                        <div style="width: 33%">
                                            <input data-id="{{ cm.getId() }}" class="checkbox-jam kelas" type="radio"
                                                   name="kelas" id="kelas{{ cm.getId() }}"
                                                   value="{{ cm.getName() }}"
                                                    {{ user.getClass() != null ? (user.getClass().getId() == cm.getId() ? 'checked' : '') : '' }}
                                            >
                                            <label id="" class="for-checkbox-jam" for="kelas{{ cm.getId() }}"
                                                   style="font-size: 0.8em">
                                                {{ cm.getName() }}
                                            </label>
                                        </div>
                                    {% endfor %}
                                </div>
                            {% endfor %}

                        </form>
                    </section>

                    <section class="fixed-bottom d-block bg-white p-2" style="width: 100%">
                        <a id="btn-class-choice" class="bt-primary  d-block ml-auto mr-auto" data-dismiss="modal"
                           aria-label="Close"
                           style="width: 80%">Terapkan</a>

                    </section>
                </div>

            </div>
        </div>
    </div>
    <div class="space-25h"></div>
    {% embed 'siswa/Component/DistrictModal.html.twig' %}
    {% endembed %}
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ asset('vendor/bootstrap/js/locales/bootstrap-datepicker.id.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        $(".datepicker").datepicker({
            format: "dd/mm/yyyy",
            endDate: new Date()
        });
        async function searchDistricts(value) {
            let el = $('#district-content');
            if (value !== '') {
                let param = {name: value};
                el.empty();
                el.append(createLoading());
                let response = await $.get('/api-public/cities/district', param);
                el.empty();
                if (response['code'] === 200) {
                    let payload = response['payload'];
                    if (payload.length > 0) {
                        $.each(response['payload'], function (k, v) {
                            const {district, id, city, province} = v;
                            let content = '<div class="hasil-pencarian">' +
                                '<a data-id="' + id + '" data-name="' + district + ' (' + city + ', ' + province + ')" class="title district-target">' + district + ' (' + city + ', ' + province + ')' +
                                '</a>' +
                                '</div>';
                            el.append(content);
                        });
                        $('.district-target').click(function () {
                            let el = $('#district');
                            el.val(this.dataset.name);
                            el.attr('data-district', this.dataset.id);
                            $('#districtId').val(this.dataset.id);
                            $('#modalPencarianLokasi').modal('hide');
                        });
                    } else {
                        let content = '<div class="hasil-pencarian">' +
                            'Wilayah Tidak Di Temukan' +
                            '</div>';
                        el.append(content);
                    }
                }
            } else {
                el.empty();
            }
        }

        $(document).ready(function () {
            $('#modalPencarianLokasi').on('show.bs.modal', async function (e) {
                $('#district-content').empty();
                $('#find-location-field').val('');
            });

            $('#btn-find-location').on('click', async function () {
                let val = $('#find-location-field').val();
                await searchDistricts(val);
            });

            $('#find-location-field').keyup(typeDelay(async function (e) {
                await searchDistricts(this.value);
            }, 500));

            $('#btn-save-profile').on('click', async function () {
                $('#form-profile').submit();
            });
            $('#btn-save-profile-2').on('click', async function () {
                $('#form-profile').submit();
            });

            $('#btn-class-choice').on('click', function () {
                let kelas = $('input[name=kelas]:checked').attr('data-id');
                let kelasString = $('input[name=kelas]:checked').val();
                $('#classString').val(kelasString)
                $('#class').val(kelas)
            });

        });
    </script>
{% endblock %}